
Figure - Bug #112515
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】系统-重置选项-恢复出厂设置，点击之后settings崩溃
2022-10-12 10:38 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-12

Priority: Urgent Due date: 2022-10-12

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221012.alpha

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、设置-系统-重置选项

2、点击恢复出厂设置

【预期结果】

3、进入下一级页面，出现清除所有数据按钮

【实际结果】

3、点击之后闪退回主页面

【复现率】

5/5

History

#1 - 2022-10-12 10:53 - CD FW 曹覃刚

- Assignee changed from CD FW 曹覃刚 to CD AF-陈羽杰

错误日志如下:

10-11 19:51:39.120  2521  2521 D AndroidRuntime: Shutting down VM

10-11 19:51:39.121  2521  2521 E AndroidRuntime: FATAL EXCEPTION: main

10-11 19:51:39.121  2521  2521 E AndroidRuntime: Process: com.android.settings, PID: 2521

10-11 19:51:39.121  2521  2521 E AndroidRuntime: java.lang.RuntimeException: Unable to start activity

ComponentInfo{com.android.settings/com.android.settings.Settings$FactoryResetActivity}: java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

java.lang.String.equals(java.lang.Object)' on a null object reference

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3636)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:106)
10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

10-11 19:51:39.121  2521  2521 E AndroidRuntime: Caused by: java.lang.NullPointerException: Attempt to invoke virtual method 'boolean

java.lang.String.equals(java.lang.Object)' on a null object reference

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at com.android.settings.SettingsActivity.onCreate(SettingsActivity.java:357)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at com.android.settings.Settings$FactoryResetActivity.onCreate(Settings.java:177)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.Activity.performCreate(Activity.java:8070)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.Activity.performCreate(Activity.java:8050)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1330)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3609)

10-11 19:51:39.121  2521  2521 E AndroidRuntime:     ... 12 more

#2 - 2022-10-12 14:35 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- % Done changed from 0 to 60

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Root cause set to 编码问题

由于action未判空，导致的空指针异常

#3 - 2022-10-12 15:01 - CD AF-陈羽杰

- Due date set to 2022-10-12

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD AF-陈羽杰 to CD TEST-方永红

- % Done changed from 60 to 100

■ Current conclusion

本地已验证

■ My analysis

由于action未判空，导致的空指针异常

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/154891

#4 - 2022-10-13 10:36 - CDTS_TEST 王成

- Target version changed from VC1_FSE_B sample_20221015 to VX1_MCE_FSE_V2.0_update_20221012

#5 - 2022-10-13 18:35 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2022-10-13 18:35 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2022-12-22 20:42 - CD FW-王伟
Gerrit Merge Information：

ID Project Branch Uploader

154891 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

yujie.chen@thundersoft.com

AF:Settings: Fix factory reset crash bug1.fix click factory reset button crash bugTC-RID: 1201-0201809IssueID: TS-R-BUG-112515Change-Id:

Ib1e051a8e3b6609dd458131c18f67723d7141121

Files

1111111.txt 6 MB 2022-10-12 CD TEST-方永红
